kdecore Library: KNetwork::KResolverResults Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNetwork::KResolverResults Class Reference

Name and service resolution results. More...

`#include <kresolver.h>`

Inheritance diagram for KNetwork::KResolverResults:

[legend]
Collaboration diagram for KNetwork::KResolverResults:

[legend]
List of all members.

## Public Member Functions
| KResolverResults ()
| KResolverResults (const KResolverResults &other)
virtual | ~KResolverResults ()
KResolverResults & | operator= (const KResolverResults &other)
int | error () const
int | systemError () const
void | setError (int errorcode, int systemerror=0)
QString | nodeName () const
QString | serviceName () const
void | setAddress (const QString &host, const QString &service)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Name and service resolution results.

This object contains the results of a name and service resolution, as those performed by KResolver. It is also a descendant of QValueList, so you may use all its member functions here to access the elements.

A KResolverResults object is associated with a resolution, so, in addition to the resolved elements, you can also retrieve information about the resolution process itself, like the nodename that was resolved or an error code.

Note Resolver also uses KResolverResults objects to indicate failure, so you should test for failure.

Author:
  Thiago Macieira <thiago.macieira@kdemail.net>

Definition at line 197 of file kresolver.h.

## Constructor & Destructor Documentation

KResolverResults::KResolverResults | ( |  | ) |

| Default constructor. Constructs an empty list. Definition at line 206 of file kresolver.cpp.

KResolverResults::KResolverResults | ( | const KResolverResults & | other | ) |

| Copy constructor. Creates a new object with the contents of the other one. Data will be shared by the two objects, like QValueList Definition at line 212 of file kresolver.cpp.

KResolverResults::~KResolverResults | ( |  | ) | `[virtual]`

| Destructor. Destroys the object and frees associated resources. Definition at line 219 of file kresolver.cpp.

## Member Function Documentation

KResolverResults & KResolverResults::operator= | ( | const KResolverResults & | other | ) |

| Assignment operator. Copies the contents of the other container into this one, discarding our current values. Definition at line 226 of file kresolver.cpp.

int KResolverResults::error | ( |  | ) | const

| Retrieves the error code associated with this resolution. The values here are the same as in KResolver::ErrorCodes. Definition at line 241 of file kresolver.cpp.

int KResolverResults::systemError | ( |  | ) | const

| Retrieves the system error code, if any. See also: KResolver::systemError for more information Definition at line 247 of file kresolver.cpp.

void KResolverResults::setError | ( | int | errorcode,
|  | int | systemerror = `0`
| ) |

  | Sets the error codes. Parameters:
  | errorcode | the error code in KResolver::ErrorCodes
  | systemerror | the system error code associated, if any
Definition at line 253 of file kresolver.cpp. Referenced by KNetwork::KResolver::results().

QString KResolverResults::nodeName | ( |  | ) | const

| The nodename to which the resolution was performed. Definition at line 260 of file kresolver.cpp.

QString KResolverResults::serviceName | ( |  | ) | const

| The service name to which the resolution was performed. Definition at line 266 of file kresolver.cpp.

void KResolverResults::setAddress | ( | const QString & | host,
|  | const QString & | service
| ) |

| Sets the new nodename and service name. Definition at line 272 of file kresolver.cpp. Referenced by KNetwork::KResolver::results().

The documentation for this class was generated from the following files:

- kresolver.h
- kresolver.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:20 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003